1. We have added the ability to collapse/expand forum categories and widgets on forum home.
    Dismiss Notice
  2. Photobucket has changed its policy concerning hotlinking images and now requires an account with a $399.00 annual fee to allow hotlink. More information is available at: this link.
    Dismiss Notice
  3. All Civ avatars are brought back and available for selection in the Avatar Gallery! There are 945 avatars total.
    Dismiss Notice
  4. To make the site more secure, we have installed SSL certificates and enabled HTTPS for both the main site and forums.
    Dismiss Notice
  5. Civ6 is released! Order now! (Amazon US | Amazon UK | Amazon CA | Amazon DE | Amazon FR)
    Dismiss Notice
  6. Dismiss Notice
  7. Forum account upgrades are available for ad-free browsing.
    Dismiss Notice

Help

Discussion in 'Fall from Heaven: Age of Ice' started by TheGuyWhoCanFly, Sep 4, 2009.

  1. TheGuyWhoCanFly

    TheGuyWhoCanFly Chieftain

    Joined:
    Sep 4, 2009
    Messages:
    2
    I am a mac user when I tried to play Age of ice, it would not show any of the interface, but the other units and map graphics were fine. I am not sure what to do, if I should do what is recommended for vista or windows users, or if it is completely different for macs. Please help because I really want to play this.
     
  2. MagisterCultuum

    MagisterCultuum Great Sage

    Joined:
    Feb 14, 2007
    Messages:
    15,634
    Location:
    Kael's head
    I believe that Macs cannot run .dll files, which are essential to most the good mods. You cannot run FfH on a Mac.

    Edit: Oh, I just realized that Age of Ice does not use a custom dll, so while the main mod is off limits the scenario that comes with BtS should still run fine. Is your BtS fully updated? I vaugely recall some bugs that could have caused that on the original CD, but those were fixed in BtS patched. I'd try updating first, but it could still be a Mac problem. I don't know much about macs though (my sister has one at home, but I much prefer PCs), and so cannot really help.
     
  3. TheGuyWhoCanFly

    TheGuyWhoCanFly Chieftain

    Joined:
    Sep 4, 2009
    Messages:
    2
    I got version 3.1 which is the best I know of right now. But thanks for the tip, patches are usually the best choice
     
  4. MagisterCultuum

    MagisterCultuum Great Sage

    Joined:
    Feb 14, 2007
    Messages:
    15,634
    Location:
    Kael's head
    You should have 3.1.9

    I think 3.1.0 was obsolete before the game was avilible in stores.
     
  5. Lord Tirian

    Lord Tirian Erratic Poster

    Joined:
    Nov 30, 2007
    Messages:
    2,724
    Location:
    Liverpool, UK
    He's using a Mac - I'm not sure whether they ported all patches that fast... (considering that BtS only came out a couple of months ago for Macs).

    Cheers, LT.
     
  6. DoctorDon

    DoctorDon Chieftain

    Joined:
    Aug 12, 2009
    Messages:
    14
    Location:
    west of DC
    I had the same problem, so I adapted the solution used by Windows users with the same issue. They needed to run as admin, which implies a permissions problem, so I adjusted the permissions on the game files. I don't remember exactly what I did, but I probably set the permissions to read/write/execute for everyone, that being the laziest solution.

    Note that an admin account under OS X isn't really the same as an admin account under Windows, so I would speculate that you can see this problem even from a Mac admin account (although I can't verify that).
     

Share This Page